# GimpUi.ProcedureDialog

    from gi.repository import GimpUi

    procedure_dialog = GimpUi.ProcedureDialog(config=value, procedure=value)

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Bin
          - Gtk.Window
            - Gtk.Dialog
              - GimpUi.Dialog
                - GimpUi.ProcedureDialog

## Methods

- GimpUi.ProcedureDialog.fill_box_list
- GimpUi.ProcedureDialog.fill_expander
- GimpUi.ProcedureDialog.fill_flowbox_list
- GimpUi.ProcedureDialog.fill_frame
- GimpUi.ProcedureDialog.fill_list
- GimpUi.ProcedureDialog.fill_notebook_list
- GimpUi.ProcedureDialog.fill_paned
- GimpUi.ProcedureDialog.fill_scrolled_window
- GimpUi.ProcedureDialog.get_color_widget
- GimpUi.ProcedureDialog.get_drawable_preview
- GimpUi.ProcedureDialog.get_file_chooser
- GimpUi.ProcedureDialog.get_int_combo
- GimpUi.ProcedureDialog.get_int_radio
- GimpUi.ProcedureDialog.get_label
- GimpUi.ProcedureDialog.get_scale_entry
- GimpUi.ProcedureDialog.get_size_entry
- GimpUi.ProcedureDialog.get_spin_scale
- GimpUi.ProcedureDialog.get_widget
- GimpUi.ProcedureDialog.run
- GimpUi.ProcedureDialog.set_ok_label
- GimpUi.ProcedureDialog.set_sensitive
- GimpUi.ProcedureDialog.set_sensitive_if_in

## Properties

- config
- procedure

## Virtual functions

- GimpUi.ProcedureDialog::fill_end
- GimpUi.ProcedureDialog::fill_start

## Fields

- GimpUi.ProcedureDialog->parent_instance